#line 1 "D:/Mehedi/All About Electronics/My Running Projects/Temparature Logger/Interrup-Testing/Timer1-Interrupt-1s.c"
#line 11 "D:/Mehedi/All About Electronics/My Running Projects/Temparature Logger/Interrup-Testing/Timer1-Interrupt-1s.c"
char boot[] = "System is booting...";
char ready[] = "System is Ready";


sbit LCD_RS at RB1_bit;
sbit LCD_EN at RB2_bit;
sbit LCD_D4 at RB3_bit;
sbit LCD_D5 at RB4_bit;
sbit LCD_D6 at RB5_bit;
sbit LCD_D7 at RB6_bit;


sbit LCD_RS_Direction at TRISB1_bit;
sbit LCD_EN_Direction at TRISB2_bit;
sbit LCD_D4_Direction at TRISB3_bit;
sbit LCD_D5_Direction at TRISB4_bit;
sbit LCD_D6_Direction at TRISB5_bit;
sbit LCD_D7_Direction at TRISB6_bit;

 unsigned char *text;

 unsigned int timer=0;

void Delay_500() {
 Delay_ms(500);
}

void Delay_1000() {
 Delay_ms(1000);
}

void Clear_lcd() {
 Lcd_Cmd(_LCD_CLEAR);
}

void LCD_check()
{
 Lcd_Init();
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Cmd(_LCD_CURSOR_OFF);
 clear_lcd();

 Lcd_Out(1,1,boot);
 Delay_1000();
 clear_lcd();
 Lcd_Out(1,1,ready);
 Delay_1000();

 clear_lcd();
}

void PIN_config()
{
 TRISA = 0b00000001;
 TRISB = 0b00000000;
 TRISC = 0b11111111;
 TRISD = 0b00000000;

 PORTA = 0x00;
 PORTB = 0x00;
 PORTC = 0x00;
 PORTD = 0x00;

 Delay_1000();
}

void blink_led()
{
 PORTB.F0 = ~ PORTB.F0;
 PORTD.F0 = ~ PORTD.F0;
}




void InitTimer1(){
 T1CON = 0x21;
 TMR1IF_bit = 0;
 TMR1H = 0x3C;
 TMR1L = 0xB5;
 TMR1IE_bit = 1;
 INTCON = 0xC0;
}

void Interrupt(){
 if (TMR1IF_bit){
 TMR1IF_bit = 0;
 TMR1H = 0x3C;
 TMR1L = 0xB5;

 ++timer;
 if(timer==10)
 {
 blink_led();
 timer = 0;
 }
 }
}

void main() {


 PIN_config();


 LCD_check();
 InitTimer1() ;
 while(1)
 {
 clear_lcd();
 Lcd_Out(1,1,"Interrupt");
 Lcd_Out(2,1,"For 1s");
 Delay_ms(5000);
 }
}
